#
# spec file for package yast2-ldap-client
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-ldap-client
Version:        2.20.14.2
Release:        0.2.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-ldap-client-%{version}.tar.bz2

Group:          System/YaST
License:        GPL v2 or later
BuildRequires:  doxygen perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-network yast2-pam yast2-testsuite

PreReq:         %fillup_prereq

# SLPAPI.pm
Requires:       yast2 >= 2.15.17

Requires:       yast2-network

# .close
Requires:       yast2-ldap >= 2.20.1

# etc_sssd_conf.scr
Requires:       yast2-pam >= 2.20.0

Provides:       yast2-config-ldap_client
Obsoletes:      yast2-config-ldap_client
Provides:       yast2-trans-ldap_client
Obsoletes:      yast2-trans-ldap_client

BuildArch:      noarch

Summary:        YaST2 - LDAP Client Configuration

%description
With this YaST2 module you can configure an LDAP client so that an
OpenLDAP server will be used for user authentication.

%prep
%setup -n yast2-ldap-client-%{version}

%build
%{_prefix}/bin/y2tool y2autoconf
%{_prefix}/bin/y2tool y2automake
autoreconf --force --install

export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{_prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
%{fillup_only -n ldap}

%files
%defattr(-,root,root)
%{_prefix}/share/applications/YaST2/ldap.desktop
%{_prefix}/share/applications/YaST2/ldap_browser.desktop
%dir /usr/share/YaST2/include/ldap
/usr/share/YaST2/include/ldap/*
/usr/share/YaST2/modules/Ldap.y*
/usr/share/YaST2/modules/LdapPopup.y*
/usr/share/YaST2/clients/ldap*.ycp
/usr/share/YaST2/scrconf/*.scr
/usr/share/YaST2/schema/autoyast/rnc/ldap_client.rnc
%doc %{_prefix}/share/doc/packages/yast2-ldap-client

/var/adm/fillup-templates/sysconfig.ldap
%changelog
* Wed Nov 16 2011 jsuchome@suse.cz
- correctly handle sssd config with more LDAP servers (bnc#729174)
- 2.20.14.2
* Mon Apr 18 2011 jsuchome@suse.cz
- if sssd is removed in GUI, remove also the pam module (bnc#680184)
- added command line options for SSSD (bnc#680848)
- remove 'ldap' from nsswitch.conf when sssd is configured
  (bnc#681818)
- remove ldap and ldap-account_only PAM modules when sssd is set
- 2.20.14.1
* Fri Feb  4 2011 jsuchome@suse.cz
- reset connection when TLS status has been changed (bnc#662949)
- 2.20.14
* Tue Feb  1 2011 jsuchome@suse.cz
- do not add +-lines when configuring sssd (bnc#668565)
- 2.20.13
* Tue Feb  1 2011 jsuchome@suse.cz
- install correct package for Kerberos (krb5-client)
- read cache_credentials value from sssd.conf
- 2.20.12
* Mon Jan 24 2011 jsuchome@suse.cz
- look for 'sss' in nsswitch.conf, not for 'sssd' (bnc#666184)
- 2.20.11
* Fri Jan 21 2011 jsuchome@suse.cz
- explicitely ask for kerberos+sssd enablement
- 2.20.10
* Fri Jan 21 2011 jsuchome@suse.cz
- if sssd is active, ask for basic Kerberos settings (fate#308902)
- 2.20.9
* Fri Jan 21 2011 jsuchome@suse.cz
- agent for sssd.conf moved to yast2-pam to be accessible for
  kerberos-client
* Thu Jan 20 2011 jsuchome@suse.cz
- write default_realm as realm
- 2.20.8
* Thu Jan 20 2011 jsuchome@suse.cz
- remove pam_krb5 when sssd is configured (fate#308902)
- 2.20.7
* Thu Jan 13 2011 jsuchome@suse.cz
- pass certificate data to .ldap agent (bnc#662949)
- 2.20.6
* Wed Jan 12 2011 jsuchome@suse.cz
- write uri instead of just host name to ldap.conf and sssd.conf
  (bnc#663012)
- 2.20.5
* Fri Jan  7 2011 jsuchome@suse.cz
- call c_rehash after downloading certificate (bnc#662937)
- do not write into sssd.conf when it does not exist (bnc#662963)
- 2.20.4
* Thu Jan  6 2011 jsuchome@suse.cz
- ensure that sssd config file is written before starting service
- 2.20.3
* Thu Jan  6 2011 jsuchome@suse.cz
- point sssd agent to correct config file (bnc#662734)
- 2.20.2
* Mon Nov 29 2010 jsuchome@suse.cz
- added support for SSSD (fate#308902)
- 2.20.1
* Wed Aug 18 2010 jsuchome@suse.cz
- save certificate info to  /etc/openldap/ldap.conf (bnc#629549)
- 2.20.0
* Wed Jun 23 2010 jsuchome@suse.cz
- include "Create Home Directory on Login" option in Import/Export
  (bnc#616303)
- 2.19.2
* Tue Apr 20 2010 jsuchome@suse.cz
- added UI for downloading CA certificates, enable editing of
  certificate directory (bnc#574704)
- 2.19.1
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Wed Jan 13 2010 jsuchome@suse.cz
- use crypt for pam_password if exop is not supported (bnc#546398)
- 2.19.0
* Thu Sep  3 2009 jsuchome@suse.cz
- added keywords to desktop files
- 2.18.5
* Thu Jun 25 2009 jsuchome@suse.cz
- manual installation of 32bit packages packages no longer needed
  (bnc#354164)
- 2.18.4
* Mon Jun  8 2009 jsuchome@suse.cz
- fixed handling of uniqueMember option (bnc#509874)
- 2.18.3
* Fri Jun  5 2009 jsuchome@suse.cz
- fixed architecture dependent packages for PPC (bnc#505263)
- 2.18.2
* Wed Mar 11 2009 jsuchome@suse.cz
- when checking if external values were used, look at the first
  server (bnc#484202)
- 2.18.1
* Wed Feb 18 2009 jsuchome@suse.cz
- LDAP browser: disable Edit button after change to new entry
  (bnc#464148)
* Tue Feb  3 2009 jsuchome@suse.cz
- do not require entering data when disabling LDAP (bnc#471852)
- 2.18.0
* Thu Jan 15 2009 jsuchome@suse.cz
- show port in the server field, read the data if there were
  not read yet (patch from L3 team, bnc#464203)
* Wed Jan 14 2009 jsuchome@suse.cz
- no exit confirmation popup if no changes were made (bnc#460161)
* Thu Jan  8 2009 jsuchome@suse.cz
- do not require double clicking in LDAP Browser tree (bnc#464144)
- disable renaming of the LDAP objects and modification of
  objectClass attribute in the LDAP Browser (bnc#464148)
* Fri Dec 12 2008 jsuchome@suse.cz
- really use 'exop' as default value for pam_password (bnc#458363)
- 2.17.18
* Fri Dec 12 2008 jsuchome@suse.cz
- 'exop' is the correct default value for pam_password
- 'SSHA' is the correct default value for password encryption
  (bnc#457993)
- 2.17.17
* Thu Nov  6 2008 jsuchome@suse.cz
- note services that should be restarted after installation
  (bnc#395402)
- 2.17.16
* Wed Nov  5 2008 jsuchome@suse.cz
- button labels adapted to current style guide (bnc#440526)
- 2.17.15
* Tue Nov  4 2008 jsuchome@suse.cz
- do not restart dbus at all (bnc#441435)
- 2.17.14
* Wed Oct 15 2008 jsuchome@suse.cz
- use domainname to get the domain name (workaround for bnc#393951)
- 2.17.13
* Mon Oct 13 2008 jsuchome@suse.cz
- restart of dbus is back, there's no reload
- 2.17.12
* Wed Oct  1 2008 jsuchome@suse.cz
- fixed help text (bnc#430521)
- 2.17.11
* Thu Sep 25 2008 jsuchome@suse.cz
- do not restart dbus service, reload it (bnc#429520)
- 2.17.10
* Thu Sep 18 2008 jsuchome@suse.cz
- do not write + lines to /etc/group (bnc#427288)
- 2.17.9
* Tue Sep 16 2008 jsuchome@suse.cz
- removed test is back
- 2.17.8
* Mon Sep 15 2008 jsrain@suse.cz
- fixed testsuite in order to build
- 2.17.7
* Tue Sep  9 2008 jsuchome@suse.cz
- merged texts from proofread
- 2.17.6
* Fri Aug 29 2008 jsuchome@suse.cz
- added missing Read function to autoYaST client (bcn#421375)
- 2.17.5
* Fri Aug 29 2008 jsuchome@suse.cz
- pwdMustChange true by default (bnc#421327)
- fixed reading password policies (bnc#420010, bnc#419978)
- applied patch from mc@suse.de to work correctly with Kerberos
- 2.17.4
* Wed Aug 13 2008 jsuchome@suse.cz
- ask DNS for availability of LDAP server (fate#301340)
- 2.17.3
* Mon Jul 21 2008 jsuchome@suse.cz
- do not lowercase LDAP object names (fate#303596)
- 2.17.2
* Thu Jul 17 2008 jsuchome@suse.cz
- LDAP Browser: store configured connections, do not use tabs so
  both the tree and current entry are visible
  (fate#302858)
- 2.17.1
* Tue Jun 10 2008 jsuchome@suse.cz
- use InputField instead of TextEntry
- 2.17.0
* Wed May 21 2008 jsuchome@suse.cz
- fix layout to fit into ncurses console (bnc#393080)
- 2.16.16
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Thu May 15 2008 jsuchome@suse.cz
- check return value of LDAP search, prevent UI crash (bnc#390261)
- 2.16.15
* Wed May 14 2008 jsuchome@suse.cz
- check for required packages also in CommandLine mode (bnc#390111)
- write correct nss_base_* values in CommandLine mode (bnc#390104)
- options from "configure" command may be used in "pam" command
- 2.16.14
* Tue Apr 15 2008 jsuchome@suse.cz
- merged texts from proofread
- 2.16.13
* Tue Apr 15 2008 jsuchome@suse.cz
- disabling during installation makes sense with current workflow
- 2.16.12
* Fri Apr  4 2008 ug@suse.de
- rnc file fixed
* Tue Apr  1 2008 jsuchome@suse.cz
- added CLI options for automounter, mkhomedir and tls (bnc#373825)
- adapted Ldap::ShortSummary
- 2.16.11
* Wed Mar 26 2008 jsuchome@suse.cz
- do not use Accept button, but OK (fate #120373)
- 2.16.10
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Wed Feb 20 2008 jsuchome@suse.cz
- allow more spaces as host name separators (bnc#362946)
- 2.16.9
* Tue Feb 19 2008 jsuchome@suse.cz
- do not export nss_base_* when they are same as base DN (#362120)
- 2.16.8
* Thu Feb  7 2008 jsuchome@suse.cz
- enable setting TLS status for LDAP browser (bnc#329779)
- 2.16.7
* Mon Jan 21 2008 jsuchome@suse.cz
- deprecated `HVStretch widget replaced by `Empty (#344891)
- 2.16.6
* Mon Dec 10 2007 jsuchome@suse.cz
- disable Password Policy term when the server lacks the policy
  support (#345965)
- 2.16.5
* Wed Nov 21 2007 jsuchome@suse.cz
- deprecated `HVStretch widget replaced by `Empty (#342583)
- 2.16.4
* Tue Nov 20 2007 jsuchome@suse.cz
- correctly update nss_base_* values when base DN was changed,
  do not write when the values are same as base DN (#342727)
- restart zmd only if installed
- replace Domain in function names with BaseDN
- 2.16.3
* Mon Nov 12 2007 jsuchome@suse.cz
- do not override user modifications when creating default objects
  (#339232)
- 2.16.2
* Wed Oct 24 2007 jsuchome@suse.cz
- if crypted connection is switched off, adapt the checkbox value
  (#330054)
- 2.16.1
* Fri Oct 12 2007 jsuchome@suse.cz
- clear nscd cache instead of restarting nscd (#333305)
- 2.16.0
* Thu Aug  2 2007 jsuchome@suse.cz
- do not reinitialize LDAP connection when not needed (#296284)
- 2.15.12
* Fri Jul 27 2007 jsuchome@suse.cz
- use "files ldap" instead of "compat" for group entry in
  /etc/nsswitch.conf (F302064)
- 2.15.11
* Thu Jun  7 2007 jsuchome@suse.cz
- fix dialog layout for ncurses mode (#280398)
- 2.15.10
* Mon Jun  4 2007 jsuchome@suse.cz
- call LDAPInitWithTLSCheck at one more place (#246397)
- 2.15.9
* Fri May 25 2007 jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Wed May 23 2007 jsuchome@suse.cz
- added LDAPInitWithTLSCheck function to offer fallback to uncrypted
  connection when start_tls method failed (#246397)
- save changed settings even if PAM is not set (#248181)
- 2.15.8
* Thu May  3 2007 jsuchome@suse.cz
- support minimal command line for ldap_browser (#269897)
- 2.15.7
* Thu Mar  8 2007 jsuchome@suse.cz
- SLPAPI.pm moved to yast2 (#238680)
- check if user changed imported LDAP settings (#252094)
- 2.15.6
* Tue Mar  6 2007 jsuchome@suse.cz
- browser: offer possibility to connect without TLS (#246397)
- 2.15.5
* Mon Feb 19 2007 jsuchome@suse.cz
- added login_enabled to Set/Export functions (#246235)
- added Ldap::WriteNow for Write without abort block (#246237)
- make 'createconfig' command line option non-mandatory
- 2.15.4
* Tue Feb  6 2007 jsuchome@suse.cz
- remove a dependency on yast2-slp (#238680)
- 2.15.3
* Fri Jan 26 2007 jsuchome@suse.cz
- enable creating default configuration object from command line
  (patch provided by mc@suse.de)
- enable setting autofs in autoyast UI (#236141)
- 2.15.2
* Thu Jan 11 2007 jsuchome@suse.cz
- dialog for editing PasswordPolicy settings (F301179)
- 2.15.1
* Tue Dec  5 2006 jsuchome@suse.cz
- install necessary packages during autoainstallation (#226040)
- 2.15.0
* Mon Nov 13 2006 jsuchome@suse.cz
- save tls_checkpeer value to /etc/ldap.conf (#217701)
- 2.14.5
* Fri Oct 27 2006 jsuchome@suse.cz
- LDAP Browser: enable running as non-root,
  disable autoYaST support (#215671)
- 2.14.4
* Thu Oct 26 2006 jsuchome@suse.cz
- added schema name to desktop file (#215249)
- 2.14.3
* Thu Oct 26 2006 jsuchome@suse.cz
- schema file moved from autoyast package (#215249)
- 2.14.2
* Fri Sep  8 2006 jsuchome@suse.cz
- write +/- lines also to /etc/shadow (#204362)
- 2.14.1
* Fri Aug 25 2006 jsuchome@suse.cz
- adapted for pam-config usage (F300956)
- API of PamSettings module is obsolete
- 2.14.0
* Wed Jul 26 2006 jsuchome@suse.cz
- allow setting of pam_mkhomedir in /etc/pam.d/commond-session (#190330)
- 2.13.20
* Wed Jul 12 2006 jsuchome@suse.cz
- new icon for LDAP Browser (#188165)
- do not show popup about reboot during installation (#167959)
- use DNS::IsHostLocal to check for localhost (#189675)
- 2.13.19
* Fri Jun 23 2006 jsuchome@suse.cz
- added desktop file for LDAP Browser (F110039)
- code10 cleanup: removed find, validation for server address, testsuite
- 2.13.18
* Thu Jun 22 2006 jsuchome@suse.cz
- restart also zmd if running (#174589)
- 2.13.17
* Tue Jun 20 2006 jsuchome@suse.cz
- restart D-BUS after nscd (#174589)
- 2.13.16
* Wed May 24 2006 jsuchome@suse.cz
- do not reinitialize existing connection for browsing LDAP (#178309)
- 2.13.15
* Fri May 19 2006 ug@suse.de
- fixed desktop file for cloning process (#177082)
- 2.13.14
* Thu Apr 20 2006 jsuchome@suse.cz
- allow more characters (this time "-") for host name (#167991)
- 2.13.13
* Wed Apr 12 2006 jsuchome@suse.cz
- fixed installing architecture-specific packages (#164313)
- 2.13.12
* Fri Mar 31 2006 jsuchome@suse.cz
- restrict the set of characters allowed for host names (#159741)
- 2.13.11
* Thu Mar  9 2006 jsuchome@suse.cz
- merged proofread texts
- 2.13.10
* Mon Feb 20 2006 jsuchome@suse.cz
- reduced BuildRequires
- 2.13.9
* Tue Jan 31 2006 jsuchome@suse.cz
- save changes of pam_password value (#146942)
- 2.13.8
* Fri Jan 27 2006 jsuchome@suse.cz
- merged proofread texts
- 2.13.7
* Tue Jan 10 2006 jsuchome@suse.cz
- added simple LDAP browser and editor (F110039)
- 2.13.6
* Mon Dec 19 2005 jsuchome@suse.cz
- merged proofread texts
- 2.13.5
* Tue Dec  6 2005 jsuchome@suse.cz
- backport the functionality from SLES9 to support SLES10:
  - do not alter pam and nss settings on OES (#suse46396)
  - set permissions for new objects in eDirectory (#suse47579)
  - create LDAP object in correct order (#suse46398)
  - save "nds" as value for pam_password when eDirectory (#suse46396)
  - do not reininitialize settings set from outside (#suse45898)
- do not show the error popup if asking for NDS fails (#132909)
- 2.13.4
* Tue Dec  6 2005 jsuchome@suse.cz
- 'search' is builtin now (do not use it as identificator)
- 2.13.3
* Tue Nov 29 2005 jsuchome@suse.cz
- added check for tointeger output (which is fixed: #115560)
- 2.13.2
* Tue Oct  4 2005 jsuchome@suse.cz
- "Append Base DN" checkbox for admin DN entry (#93500)
- 2.13.1
* Tue Sep 27 2005 jsuchome@suse.cz
- do not write pam_filter value when it is present (#118779)
- add missing comments for translators
- 2.13.0
* Mon Aug 15 2005 jsuchome@suse.cz
- fixed shortcuts in texts
- merged texts from proofreading
- 2.12.9
* Wed Aug 10 2005 jsuchome@suse.cz
- show error message when fetching DN fails (#102311)
- remove "nis" values from new services (#100205)
- 2.12.8
* Thu Aug  4 2005 jsuchome@suse.cz
- update also "services", "netgroup" and "aliases" entries (#100205)
- 2.12.7
* Mon Aug  1 2005 jsuchome@suse.cz
- added Browse buttons for nss_map_* entries
- 2.12.6
* Thu Jul 28 2005 jsuchome@suse.cz
- updated desktop file
- merged texts from proofreading
- 2.12.5
* Tue Jul 12 2005 jsuchome@suse.cz
- install autofs by default (not autofs4) - bug #95970
- 2.12.4
* Fri Jul  1 2005 jsuchome@suse.cz
- UI restructuralization:
    use tabs in Advanced dialog, add expert settings for client
    move "disable login" checkbox out to the first dialog
- 2.12.3
* Thu Apr 28 2005 jsuchome@suse.cz
- show admin's DN when asking for password (#76394)
- 2.12.2
* Tue Apr 26 2005 jsuchome@suse.cz
- adapt testsuite for changes in Autologin.ycp
- 2.12.1
* Fri Apr  1 2005 jsuchome@suse.cz
- unified server searching popup (#66591)
- do not Change Widget when it is disabled
- 2.12.0
* Thu Mar 10 2005 jsuchome@suse.cz
- fixed typo in summary text
* Thu Mar  3 2005 jsuchome@suse.cz
- do not default to 'always start' when called from users
- initialize /etc/passwd when writing during autoinstallation (#65858)
* Fri Feb 18 2005 jsuchome@suse.cz
- enable setting of autofs in autoyast
- install autofs4 by default (not autofs) - bug #50871
- do not access LDAP server during autoinstallation
- 2.11.9
* Mon Feb  7 2005 jsuchome@suse.cz
- fixed saving during autoinstallation (#50535)
- merged texts from proofreading
- 2.11.8
* Mon Jan 31 2005 jsuchome@suse.cz
- install also architecture-specific packages (#49808)
- 2.11.7
* Fri Jan 21 2005 jsuchome@suse.cz
- detect configuration Kerberos client and offer conflict resolution
  (#49894)
- 2.11.6
* Thu Jan  6 2005 jsuchome@suse.cz
- read server name before asking for password
- do not treat "cn" attribute as single valued automatically
- before saving, show message recommending restart of machine (#45000)
- enable choosing LDAP server from SLP results
- 2.11.5
* Wed Dec 15 2004 jsuchome@suse.cz
- do not show Abort button in 'pseudo-popups'
- do not ask for 'Abort Installation' when called from users
- use Progress::set instead of on/off
- 2.11.4
* Tue Dec 14 2004 jsuchome@suse.cz
- added 'Fetch DN' button
* Tue Dec  7 2004 jsuchome@suse.cz
- show the name of LDAP server we want to connect to (#48538)
- do not ignore the changes when going back in installation sequence
- save changes done via command-line interface (#48339)
- 2.11.3
* Fri Nov  5 2004 jsuchome@suse.cz
- 2.11.2
* Wed Nov  3 2004 jsuchome@suse.cz
- replaced select's by brackets
* Tue Nov  2 2004 jsuchome@suse.cz
- ask for restarting sshd (better fix for #45000)
- 2.11.1
* Fri Oct 29 2004 jsuchome@suse.cz
- adapted for new Mode:: interface
- 2.11.0
* Wed Sep 29 2004 jsuchome@suse.cz
- show an error popup when packages cannot be installed (#45356)
- 2.10.7
* Thu Sep 23 2004 jsuchome@suse.cz
- restart sshd if ldap wasn't configured before (#45000)
- 2.10.6
* Mon Sep  6 2004 jsuchome@suse.cz
- now also build with added Get/SetModified calls in _auto client
- 2.10.5
* Mon Aug 30 2004 jsuchome@suse.cz
- Added GetModified function to _auto client (nashif)
- 2.10.4
* Fri Aug 13 2004 jsuchome@suse.cz
- browse popup: return "" on cancel
- 2.10.3
* Tue Aug 10 2004 jsuchome@suse.cz
- merged proofread texts
* Wed Aug  4 2004 jsuchome@suse.cz
- call Browse widget also from modules & template configuration
- changed LdapPopup::EditAttribute interface
- 2.10.2
* Wed Jul 28 2004 jsuchome@suse.cz
- enhanced helptext for "Create LDAP objects" checkbox (#41077)
* Tue Jul 27 2004 jsuchome@suse.cz
- use Message module for common messages
- use Package module instead of Require
- yast2-packager is not required
- 2.10.1
* Thu Jul 15 2004 jsuchome@suse.cz
- install pam related packages at the and and only when LDAP is
  chosen for authentication
- offer available attributes in template configuration dialog
* Wed Jul 14 2004 jsuchome@suse.cz
- first version of browse popup
- GetRequiredAttributes now gets attributes also from superior classes
* Mon Jul 12 2004 jsuchome@suse.cz
- used Nsswitch module for handling /etc/nsswitch.conf
- yast2-network is not required now
* Mon Jun 28 2004 jsuchome@suse.cz
- updated for current yast2-pam usage
- 2.10.0
* Wed May 26 2004 jsuchome@suse.cz
- write nss_map_attribute even if it is not present in ldap.conf (#41212)
- use the correct case (uniqueMember, not uniquemember)
- 2.9.23
* Mon May 24 2004 jsuchome@suse.cz
- save the settings also when LDAP authentication is disabled (#41079)
- 2.9.22
* Thu May 20 2004 jsuchome@suse.cz
- "Configure Template" is PushButton, not MenuButton (#40919)
- take care for uppercase in DN (#40919)
- 2.9.21
* Wed May 19 2004 jsuchome@suse.cz
- only "Enable LDAP" is available during installation (#40844)
- during write, exit on initialization error and don't try to continue (#40844)
* Tue May 18 2004 jsuchome@suse.cz
- do not ask for password when 'anonymous' is set from outside
- work correcly with +/- lines in /etc/passswd (#40571)
- 2.9.20
* Thu May 13 2004 jsuchome@suse.cz
- create LDAP configuration objects automatically (#40484)
- adapted help text for the new checkbox
- 2.9.19
* Wed May 12 2004 jsuchome@suse.cz
- fix of renaming LDAP objects (#40420)
- enable creating configuration object in LDAP without popups (#40366)
- 2.9.18
* Thu May  6 2004 jsuchome@suse.cz
- do not use unencrypted connection if TLS is set (#37393)
* Wed May  5 2004 jsuchome@suse.cz
- enable setting the password from outside (during installation: #39901)
* Wed May  5 2004 jsuchome@suse.cz
- do not discard LDAP configuration without asking (#39908)
- 2.9.17
* Tue May  4 2004 jsuchome@suse.cz
- merged in proofread text
* Tue Apr 27 2004 jsuchome@suse.cz
- enabled configuration of LDAP client without using LDAP for authentication
- possibility to show initial values proposed from outside (Ldap::SetDefaults)
- 2.9.16
* Wed Apr 21 2004 jsuchome@suse.cz
- fix of testsuite, failing in build
- 2.9.15
* Tue Apr 20 2004 jsuchome@suse.cz
- on LDAP error, show also additional message produced by server (#38668)
* Mon Apr  5 2004 jsuchome@suse.cz
- fix: really write /etc/sysconfig/ldap (#38249)
- correctly update nss_base_* values (#37711)
- 2.9.14
* Fri Apr  2 2004 jsuchome@suse.cz
- changed license to GPL
- 2.9.13
* Wed Mar 31 2004 jsuchome@suse.cz
- fix of #37665: save pam_filter to /etc/ldap.conf
* Wed Mar 31 2004 jsuchome@suse.cz
- fix of #37664: group support (write +::: to /etc/group)
* Tue Mar 30 2004 jsuchome@suse.cz
- set TLS_REQCERT value if TLS should be started (#37393)
- 2.9.12
* Fri Mar 26 2004 jsuchome@suse.cz
- show warning when user enables LDAP client, while NIS client is in use
  (#36981)
- 2.9.11
* Thu Mar 25 2004 jsuchome@suse.cz
- do not check 'defaultObjectClass' attribute (not present now)
- more lowercase conversions
- adapted testsuite
- 2.9.10
* Wed Mar 24 2004 jsuchome@suse.cz
- new attribute names for user/group LDAP configuration ('suse' prefix)
* Mon Mar 22 2004 jsuchome@suse.cz
- use lowercase LDAP attribute names
- 2.9.9
* Mon Mar 15 2004 jsuchome@suse.cz
- build fix
- new defaults according to new LDAP user/group schemas
* Fri Mar 12 2004 jsuchome@suse.cz
- updated helptext
* Thu Mar 11 2004 jsuchome@suse.cz
- set icon also for ldap_config client
* Wed Mar 10 2004 jsuchome@suse.cz
- NFB: no need of yast2-installation
- agent for ldap.conf now handles non-unique keys
- save member attribute to /etc/ldap.conf
- enable/disable LDAP users to login by adding + lines to /etc/passwd
  (passwd-agent from yast2-pam>=2.9.5 necessary)
- 2.9.8
* Wed Mar 10 2004 nashif@suse.de
- adapt for new wizard
* Mon Mar  8 2004 jsuchome@suse.cz
- set wizard icon
* Mon Mar  8 2004 jsuchome@suse.cz
- added yast2-installation to needed for build
- more type informations
- 2.9.6
* Thu Mar  4 2004 jsuchome@suse.cz
- corectly check for required attributes of created LDAP objects
* Tue Mar  2 2004 jsuchome@suse.cz
- new standalone client for LDAP management
- 2.9.5
* Mon Mar  1 2004 jsuchome@suse.cz
- typing of lists/maps
* Mon Mar  1 2004 jsuchome@suse.cz
- merged texts from proofread
* Tue Feb 24 2004 jsuchome@suse.cz
- enabled start of automounter
- 2.9.4
* Fri Feb 20 2004 jsuchome@suse.cz
- again: force write of ldap.conf
- do not forget to read autologin settings
* Fri Feb 13 2004 jsuchome@suse.cz
- force write of ldap.conf
- 2.9.3
* Tue Feb 10 2004 jsuchome@suse.cz
- change some return values: error messages, not boolean
* Mon Feb  9 2004 jsuchome@suse.cz
- API for setting global variables (e.g. password)
* Mon Feb  2 2004 jsuchome@suse.cz
- fixed testsuite
- 2.9.2
* Mon Dec  1 2003 jsuchome@suse.cz
- syntax fixes for new interpreter (abort block back again)
* Fri Nov 28 2003 jsuchome@suse.cz
- syntax fixes for new interpreter
- template configuration:
  check if structural object class is included in list of default classes
- 2.9.1
* Wed Oct  1 2003 jsuchome@suse.cz
- adapted to new Autologin interface
- 2.9.0
* Tue Sep 23 2003 jsuchome@suse.cz
- disable autologin when LDAP is enabled (#31470)
- 2.8.12
* Sun Sep 14 2003 adrian@suse.de
- make it working inside of kcontrol
* Tue Sep  9 2003 nashif@suse.de
- #30291: return required packages for autoinstallation
* Fri Sep  5 2003 jsuchome@suse.cz
- merged in proofread texts
* Tue Sep  2 2003 jsuchome@suse.cz
- added check for allowed object classes in "defaultObjectClass"
  template entry
- Abort Installation button during installation
* Tue Sep  2 2003 jsuchome@suse.cz
- basic command-line interface (+ new texts)
- 2.8.9
* Mon Sep  1 2003 jsuchome@suse.cz
- added test for object class existence
- 2.8.8
* Mon Sep  1 2003 arvin@suse.de
- use Popup::ConfirmAbort
* Fri Aug 29 2003 jsuchome@suse.de
- write basic settings also to /etc/openldap/ldap.conf (#29514)
- 2.8.7
* Fri Aug 22 2003 jsuchome@suse.cz
- Add variable for required packages and return them in auto client
- added testsuite
* Wed Aug 20 2003 jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.6
* Fri Aug 15 2003 jsuchome@suse.cz
- added default value for nextUniqueId (configuration on LDAP server)
* Thu Aug 14 2003 jsuchome@suse.de
- removed confirmation popup (#28729)
* Wed Aug 13 2003 jsuchome@suse.de
- updated Import/Export functions
* Tue Aug 12 2003 nashif@suse.de
- Call sequence for autoinstallation
- 2.8.5
* Mon Aug 11 2003 jsuchome@suse.de
- proofread texts, 1st round
- 2.8.4
* Wed Aug  6 2003 jsuchome@suse.de
- removed agent for editing /etc/cpu.conf
* Mon Aug  4 2003 jsuchome@suse.de
- added .desktop file
* Thu Jul 17 2003 jsuchome@suse.de
- updated to new PamSettings interface
* Tue Jul 15 2003 jsuchome@suse.de
- bind DN and config base DN stored in /etc/sysconfig/ldap
* Mon Jul 14 2003 jsuchome@suse.de
- used /etc/ldap.conf instead of /etc/openldap/ldap.conf to store
  confiuration
* Thu Jul 10 2003 jsuchome@suse.de
- added ShortSummary()
* Tue Jul  8 2003 nashif@suse.de
- Read /etc/nsswitch.conf before writing configuration in autoinst
  mode
* Wed Jul  2 2003 jsuchome@suse.de
- LdapPopup module offers edit-popups outside (e.g. for users-module)
- added helptexts
* Fri Jun 27 2003 jsuchome@suse.de
- read schema description from server
- create default values for new entries (config modules or templates)
  in LDAP directory
- unified popups for attributes modifications
- added sysconfig file
- 2.8.3
* Fri Jun 20 2003 jsuchome@suse.de
- even newer workflow - for various configuration on LDAP server
- using new ldap agent for accesing server
- 2.8.2
* Tue May  6 2003 jsuchome@suse.de
- new workflow for users and groups settings
- removed cpu usage
- 2.8.1
* Thu Mar 20 2003 kukuk@suse.de
- Use example.com as example domain name.
* Wed Mar 12 2003 kukuk@suse.de
- Force writing of config files [Bug #25143]
- Fix typo in reading ldap.conf
* Mon Mar  3 2003 jsuchome@suse.de
- merged proofreaded texts
* Thu Feb 20 2003 kukuk@suse.de
- Write "pam_password crypt" if entry does not exists
- Write nss_* variables in ldap.conf only if cpu is configured
  (Patch by Jiri Suchomel)
- Release 2.7.5
* Wed Feb 19 2003 jsuchome@suse.de
- Enable only starting service if run during the installation (#23831)
* Tue Feb 18 2003 mvidner@suse.de
- Preselect to start the service if run during the installation
  (from the user module, #23733).
* Sat Feb 15 2003 kukuk@suse.de
- Use "example" instead of "mydomain" as domainname in help text.
- Add hint, that LDAP server addresses must be resolvealbe without
  using LDAP. Else we will end in an endless loop.
* Thu Feb 13 2003 jsuchome@suse.de
- 'Next' instead of 'Finish' when Mode::cont is true
* Wed Feb 12 2003 kukuk@suse.de
- Set ssl to "no" if no "start_tls" is selected.
* Thu Feb  6 2003 jsuchome@suse.de
- merged proofreaded texts
* Wed Feb  5 2003 jsuchome@suse.de
- added return value of client (for installation usage)
- corrected helptext
- 2.7.3
* Wed Jan 29 2003 jsuchome@suse.cz
- merged proofreaded texts
* Wed Jan 22 2003 jsuchome@suse.cz
- fix: multiple "ldap" string in /etc/nsswitch.conf
- saving user and group base to /etc/openldap/ldap.conf
- 2.7.2
* Wed Jan 15 2003 jsuchome@suse.cz
- helptexts for cpu_configure dialog
- proposing values for cpu.cfg
- 2.7.1
* Tue Jan 14 2003 jsuchome@suse.cz
- added agent and dialog for /etc/cpu.cfg handling
- check if passwd key in nsswitch.conf is not empty
* Tue Dec 17 2002 jsuchome@suse.de
- do not remove nis/compat values from /etc/nsswitch.conf
* Tue Aug 27 2002 jsuchome@suse.cz
- provide/obsolete old translation packages
* Thu Aug 15 2002 jsuchome@suse.cz
- Merged proofread texts for the second translation round.
* Fri Jul 26 2002 kukuk@suse.de
- Remove yast2-runlevel from requires
* Mon Jul 22 2002 kukuk@suse.de
- merged proofread texts
- check, that base DN and server addresses are not empty
- allow more than one LDAP server addresses
- release version 2.6.3
* Fri Jul 12 2002 arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Sun Jul  7 2002 nashif@suse.de
- build with new devtools
- 2.6.2
* Mon Jul  1 2002 msvec@suse.cz
- 2.6.1
* Fri Jun 28 2002 msvec@suse.cz
- renamed to yast2-ldap-client
- fixes for new paths and devtools
* Fri Apr  5 2002 kukuk@suse.de
- Merge with 8.0 branch
- Add support for "start_tls" option in ldap.conf
- Version 2.6.0
* Thu Mar 14 2002 pblahos@suse.cz
- Fixed textdomain to "ldap_client" which matches to translation
  package [Bug #14979]
- Version 2.5.5
* Thu Feb 21 2002 kukuk@suse.de
- Check if entries exist in config file [Bug #13712]
- Replace checkIP with check_ip4
- Version 2.5.4
* Thu Feb  7 2002 kukuk@suse.de
- Allow setting of LDAP protocol version [Bug #12503]
- Add ldap_conf.scr
- Version 2.5.3
* Mon Jan 28 2002 nashif@suse.de
- WriteOnly() for autoinstall
- Fixed cofnig file read
- 2.5.2
* Tue Jan  8 2002 nashif@suse.de
- use y2tool
- removed icon to y2m_menu
- new module Ldapclient
- added _auto.ycp for auto-installation
* Fri Sep 21 2001 kukuk@suse.de
- Add icon to filelist ...
- Fix typo (now nscd will be restarted)
- Add missing translation hooks
- Don't save data if nothing is changed
* Wed Sep 19 2001 kukuk@suse.de
- Add icon for YCC
* Thu Sep  6 2001 kukuk@suse.de
- Restart nscd after changing nsswitch.conf
* Wed Aug 22 2001 kukuk@suse.de
- Use new agent for reading/writing config files, fix typo in label
* Tue Aug 21 2001 kukuk@suse.de
- Check for necessary packages before we write new configuration
* Sat Aug 18 2001 kukuk@suse.de
- Initial release
